package com.qianhe.system.domain;

import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 商品图片对象 water_goods_img
 *
 * @author qianhe
 * @date 2023-11-23
 */
public class WaterGoodsImg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String imgName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String type;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String sizea;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String url;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String md5;

    /** 图片类型（1商品封面图2商品详情图3主页轮播图） */
    @Excel(name = "图片类型", readConverterExp = "1=商品封面图2商品详情图3主页轮播图")
    private Integer imgType;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setImgName(String imgName)
    {
        this.imgName = imgName;
    }

    public String getImgName()
    {
        return imgName;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSizea(String sizea)
    {
        this.sizea = sizea;
    }

    public String getSizea()
    {
        return sizea;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }
    public void setMd5(String md5)
    {
        this.md5 = md5;
    }

    public String getMd5()
    {
        return md5;
    }
    public void setImgType(Integer imgType)
    {
        this.imgType = imgType;
    }

    public Integer getImgType()
    {
        return imgType;
    }
    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imgName", getImgName())
            .append("type", getType())
            .append("sizea", getSizea())
            .append("url", getUrl())
            .append("md5", getMd5())
            .append("imgType", getImgType())
            .append("goodsId", getGoodsId())
            .toString();
    }
}
